## pgaudit-1.6 1.6.1

=== Makefile ===
# contrib/pg_audit/Makefile

MODULE_big = pgaudit
OBJS = pgaudit.o $(WIN32RES)

EXTENSION = pgaudit
DATA = pgaudit--1.6.1.sql pgaudit--1.6--1.6.1.sql
PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"

REGRESS = pgaudit
REGRESS_OPTS = --temp-config=$(top_srcdir)/contrib/pgaudit/pgaudit.conf

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgaudit
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
pgaudit-1.6 (1.6.1-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 16:36:59 +0100

pgaudit-1.6 (1.6.0-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 16:49:22 +0200

pgaudit-1.6 (1.6~beta2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6 covering PostgreSQL 14.
  * Set source name to pgaudit-1.6; upstream is releasing separate branches
    per PG major version, this makes maintaining them easier.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Sep 2021 16:25:29 +0200

pgaudit (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0.
  * Split source package; this is the branch that covers version 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 15:10:55 +0100

pgaudit (1.4.0-2) unstable; urgency=medium

  * debian/control: Update for PostgreSQL v12.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 Nov 2019 21:22:40 +0100

pgaudit (1.4.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Update debian/gitlab-ci.yml.

  [ Michael Banck ]
  * debian/patches/support_9.5.patch, debian/patches/support_pre10.patch:
    Refreshed.
  * debian/patches/support_pre12.patch: New patch, support versions lower than
    v12.
  * debian/patches/alternative_regression_outputs.patch: Add another
    alternative regression output.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 01 Oct 2019 22:15:00 +0200

pgaudit (1.3.0-2) unstable; urgency=medium

  * debian/patches/alternative_regression_outputs.patch: New patch, adds an
    additional pgaudit_2.out expected output file for v9.6 and v10.
  * debian/patches/support_9.5.patch: Move pgaudit_1.out alternative regression
    output into alternative_regression_outputs.patch.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 19 Nov 2018 12:38:32 +0100

pgaudit (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/support_pre10.patch: Refreshed.
  * debian/support_11.patch: Removed, no longer needed.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 17 Oct 2018 21:49:45 +0200

pgaudit (1.2.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Michael Banck ]
  * debian/control: Rebuild against postgresql-11.
  * debian/gitlab-ci.yml: New file.
  * debian/patches/support_11.patch: New patch, support version v11.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 12 Oct 2018 11:31:09 +0200

pgaudit (1.2.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Michael Banck ]
  * debian/patches/support_9.5.patch: Updated.
  * debian/patches/support_10.patch: Removed, no longer needed.
  * debian/patches/support_pre10.patch: New patch, support versions lower than
    v10.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 03 Feb 2018 21:13:51 +0100

pgaudit (1.1.1-2) unstable; urgency=medium

  * debian/control: Update for current PostgreSQL version in unstable.
  * debian/patches/support_10.patch: New patch, add support for v10, based on
    upstream commit 6ce6e006.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 06 Oct 2017 14:27:15 +0200

pgaudit (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 12 Sep 2017 08:50:58 +0200

pgaudit (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #859626)

 -- Michael Banck <michael.banck@credativ.de>  Mon, 10 Apr 2017 09:19:26 +0200

=== debian/control ===
Source: pgaudit-1.6
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper-compat (= 13),
 libkrb5-dev,
 libssl-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pgaudit
Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git -b master
Homepage: http://pgaudit.org/

Package: postgresql-14-pgaudit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Suggests:
Description: PostgreSQL Audit Extension
 The pgAudit extension provides detailed session and/or object audit logging
 via the standard PostgreSQL logging facility.
 .
 The goal of pgAudit is to provide PostgreSQL users with capability to produce
 audit logs often required to comply with government, financial, or ISO
 certifications.
 .
 An audit is an official inspection of an individual's or organization's
 accounts, typically by an independent body. The information gathered by
 pgAudit is properly called an audit trail or audit log.

=== debian/watch ===
version=4
opts=uversionmangle=s/beta/~beta/ \
https://github.com/pgaudit/pgaudit/releases .*/(1.6.*).tar.gz

## pgaudit-1.6 1.6.2~20220624.1215-1~1.gitd3342cb.pgdg20.04+1

=== debian/changelog ===
pgaudit-1.6 (1.6.2~20220624.1215-1~1.gitd3342cb.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 10 Mar 2022 10:52:27 +0100

pgaudit-1.6 (1.6.2-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Mar 2022 10:52:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libkrb5-dev,
  libssl-dev,
  postgresql-all (>= 217~),

## pgaudit-1.6 1.6.2~20220624.1215-1~1.gitd3342cb.pgdg90+1

=== debian/changelog ===
pgaudit-1.6 (1.6.2~20220624.1215-1~1.gitd3342cb.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 10 Mar 2022 10:52:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  libkrb5-dev,
  libssl-dev,
  postgresql-all (>= 217~),

## pgaudit-1.6 1.6.2~20220624.1215-1~1.gitd3342cb.pgdg120+1

=== debian/changelog ===
pgaudit-1.6 (1.6.2~20220624.1215-1~1.gitd3342cb.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 10 Mar 2022 10:52:27 +0100

## pgaudit-1.6 1.6.2

=== debian/changelog ===
pgaudit-1.6 (1.6.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 10 Mar 2022 10:52:27 +0100

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -i '--auth=trust' -o'shared_preload_libraries=pgaudit' installcheck . . postgresql-%v-pgaudit

%:
	dh $@ --with pgxs

## pgaudit-1.6 1.6.3

=== debian/changelog ===
pgaudit-1.6 (1.6.3-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 02 Mar 2025 12:16:42 +0100

pgaudit-1.6 (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Mar 2025 12:16:42 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/beta/~beta/;s/rc/~rc/ \
https://github.com/pgaudit/pgaudit/tags .*/(1.6.*).tar.gz
